Skip to main content

Send a message to a customer

POST 

/outgoing/v1/mt/:apiKey/:channelAccountUUID

Sends an outbound message to a customer over the channel of the given channel account.

Preconditions

  • The conversation must not be closed, and must already be assigned to an agent.
  • The acting agent must own the conversation, or be a supervisor in the same campaign.
  • On Facebook Messenger and Instagram, replyTo is required.

Validation of the to field

  • conversationUUID and contactUUID must be 20–100 characters long.
  • SMS and WhatsApp — {channelId} must match the contact's mobile, mobile2 or mobile3.
  • Email and Web Chat — {channelId} must match the contact's email, email2 or email3.
  • Line — {channelId} must match the contact's lineId.

Request

Responses

The standard Converse 2.0 envelope. A rejected message is also returned with HTTP 200 and status: "Failed".